Package org.apache.sling.feature.cpconverter.accesscontrol

## Class Mapping

- java.lang.Object
- - org.apache.sling.feature.cpconverter.accesscontrol.Mapping

    public class Mapping
    extends Object

### Constructor Summary

Constructors
`Mapping​(@NotNull String spec)`
`Mapping​(@NotNull String spec, boolean enforceMappingByPrincipal)` Copied from https://github.com/apache/sling-org-apache-sling-serviceusermapper/blob/master/src/main/java/org/apache/sling/serviceusermapping/Mapping.java

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull String` `asString()`
`boolean` `equals​(Object obj)`
`int` `hashCode()`
`boolean` `mapsPrincipal​(@NotNull String principalName)`
`boolean` `mapsUser​(@NotNull String userId)`
`String` `toString()` Copied from https://github.com/apache/sling-org-apache-sling-serviceusermapper/blob/master/src/main/java/org/apache/sling/serviceusermapping/Mapping.java

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Mapping

    public Mapping​(@NotNull
                   @NotNull String spec)

#### Mapping

    public Mapping​(@NotNull
                   @NotNull String spec,
                   boolean enforceMappingByPrincipal)

Copied from https://github.com/apache/sling-org-apache-sling-serviceusermapper/blob/master/src/main/java/org/apache/sling/serviceusermapping/Mapping.java

### Method Detail

#### mapsUser

    public boolean mapsUser​(@NotNull
                            @NotNull String userId)

#### mapsPrincipal

    public boolean mapsPrincipal​(@NotNull
                                 @NotNull String principalName)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Copied from https://github.com/apache/sling-org-apache-sling-serviceusermapper/blob/master/src/main/java/org/apache/sling/serviceusermapping/Mapping.java

Overrides:
  `toString` in class `Object`

#### asString

    @NotNull
    public @NotNull String asString()